7.00.02.01 - System Requirements on the Cluster - Aster R

Teradata Aster® R User GuideUpdate 3

prodname
Aster R
vrm_release
7.00.02.01
created_date
December 2017
category
Programming Reference
User Guide
featnum
B700-1033-700K
To install R on the cluster, the minimum requirements for the software environment are:
  • Operating system:
    • For Aster Appliance: a supported version of the Teradata SUSE Linux Enterprise Server (TD SLES) operating system is required.
    • For Commodity Hardware: a supported version of the Red Hat Enterprise Linux operating system (RHEL) or the SUSE Linux Enterprise Server (SLES) operating system is required.

      Teradata recommends using SLES 12 SP2 or RHEL 7.3, with R 3.4.1, to match the R 3.4.1 installed on the client side for full functionality.

      SLES 11 SP2 or RHEL 6, with R 3.1.2, is workable, but may not support the delta functions found in R 3.4.1 that are not in R 3.1.2.

  • Database:
    • Aster Database, version 6.20 (AD 6.20) or higher
    • Aster Execution Engine 7.00.02 (AX 7.00.02) or higher
    • Only AD 6.20.05.01 supports SLES 12 SP2.
    • AD 6.20.05 or higher supports RHEL 7.3.
  • Aster Client, version 6.20 (AC 6.20) or higher
  • Aster ODBC Driver (version AC 6.20 or higher)